Search documentation of phoenix_kit

# PhoenixKit.Modules.Sitemap.Web.Settings (phoenix_kit v1.7.87)

Copy Markdown View Source

LiveView for sitemap configuration and management.

Provides admin interface for:

- Enabling/disabling sitemap module
- Per-module sitemap cards with stats and regeneration
- Auth pages configuration (login excluded, registration toggle)
- Publishing split by group toggle
- XSL styling configuration
- Scheduled generation

## Summary

### Functions

count_source_urls(module_stats, source_prefix)
find_module_stat(module_stats, filename)
format_timestamp(iso_string)
get_xsl_style(html_style)
render(assigns)

Callback implementation for `Phoenix.LiveView.render/1`.

source_files(module_files, source_prefix)

## Functions

# count_source_urls(module_stats, source_prefix)

# find_module_stat(module_stats, filename)

# format_timestamp(iso_string)

# get_xsl_style(html_style)

# render(assigns)

Callback implementation for `Phoenix.LiveView.render/1`.

# source_files(module_files, source_prefix)